<?

sapp_include_once('common.php');

$dbname = sapp_get_param('dbname');
if (empty($dbname)) {
	$dbname = sapp_get_new_db_name('mysql');
}
$dbuser = sapp_get_param('dbuser');
if (empty($dbuser)) {
	$dbuser = sapp_get_new_db_user($dbuser, 'mysql');
}


?>

<fieldset>
	<legend><?=msg('administrator_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('admin_location') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_location"><?=msg('admin_location')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="admin_location" id="fid-admin_location" value="<?=htmlspecialchars(sapp_get_param('admin_location'))?>">
		<span class="hint"><?=sapp_is_wrong('admin_location') ? sapp_get_wrong('admin_location') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_city') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_city"><?=msg('admin_city')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="admin_city" id="fid-admin_city" value="<?=htmlspecialchars(sapp_get_param('admin_city'))?>">
		<span class="hint"><?=sapp_is_wrong('admin_city') ? sapp_get_wrong('admin_city') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_name') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_name"><?=msg('admin_name')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="admin_name" id="fid-admin_name" value="<?=htmlspecialchars(sapp_get_param('admin_name'))?>">
		<span class="hint"><?=sapp_is_wrong('admin_name') ? sapp_get_wrong('admin_name') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_passwd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_passwd"><?=msg('admin_passwd')?>&nbsp;<?=sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_passwd" id="fid-admin_passwd" value="">
		<span class="hint"><?=sapp_is_wrong('admin_passwd') ? sapp_get_wrong('admin_passwd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_confirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_confirm"><?=msg('admin_confirm')?>&nbsp;<?=sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_confirm" id="fid-admin_confirm" value="">
		<span class="hint"><?=sapp_is_wrong('admin_confirm') ? sapp_get_wrong('admin_confirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>
